# class MCollective::Aggregate::Result::Base

### Attributes

action[RW]
aggregate_format[RW]
result[RW]

### Public Class Methods

new(result, aggregate_format, action) click to toggle source

    # File lib/mcollective/aggregate/result/base.rb, line 7
    def initialize(result, aggregate_format, action)
      raise "No aggregate_format defined in ddl or aggregate function" unless aggregate_format

      @result = result
      @aggregate_format = aggregate_format
      @action = action
    end

### Public Instance Methods

result_type() click to toggle source

    # File lib/mcollective/aggregate/result/base.rb, line 19
    def result_type
      @result[:type]
    end

to_s() click to toggle source

    # File lib/mcollective/aggregate/result/base.rb, line 15
    def to_s
      raise "'to_s' method not implemented for result class '#{self.class}'"
    end